ly_image {rbokeh} | R Documentation

## Add an "image" layer to a Bokeh figure

### Description

Draws a grid of rectangles with colors corresponding to the values in `z`

### Usage

    ly_image(fig, z, rows, byrow = TRUE, x = 0, y = 0, dw = 1, dh = 1,
      palette = "Spectral10", dilate = FALSE, lname = NULL, lgroup = NULL,
      visible = TRUE)

### Arguments

`fig` | figure to modify
`z` | matrix or vector of image values
`rows` | if `z` is a vector, how many rows should be used in treating it as a matrix
`byrow` | if `z` is a vector, should it be turned into a matrix by row
`x` | lower left x coordinates
`y` | lower left y coordinates
`dw` | image width distances
`dh` | image height distances
`palette` | name of color palette to use for color ramp (see here for acceptable values)
`dilate` | logical - whether to dilate pixel distance computations when drawing
`lname` | layer name
`lgroup` | layer group
`visible` | should the layer be visible?

### See Also

Other layer functions: `ly_abline`, `ly_annular_wedge`, `ly_annulus`, `ly_arc`, `ly_bar`, `ly_bezier`, `ly_boxplot`, `ly_contour`, `ly_crect`, `ly_curve`, `ly_density`, `ly_hist`, `ly_image_url`, `ly_lines`, `ly_map`, `ly_multi_line`, `ly_oval`, `ly_patch`, `ly_points`, `ly_polygons`, `ly_quadratic`, `ly_quantile`, `ly_ray`, `ly_rect`, `ly_segments`, `ly_text`, `ly_wedge`

### Examples

    p <- figure(xlim = c(0, 1), ylim = c(0, 1), title = "Volcano") %>%
      ly_image(volcano) %>%
      ly_contour(volcano)
    p

[Package rbokeh version 0.5.0 Index]